# Browser Only

Often authentication and authorization are done between client and server. Here we look at ways clients can use Unfurl that do not require the client appincation to have (or simply not use) a server. &#x20;

### Javascript

#### [oidc-client.js](https://github.com/IdentityModel/oidc-client-js/wiki)

This popular library for writting oidc clients in javascript only requires basic configuration and a few lines of code -- like so.&#x20;

```javascript
import Oidc from 'oidc-client';

const mgr = new Oidc.UserManager({
  authority: 'https://auth.unfurl-connect.com',
  client_id: 'YOUR_CLIENT_ID',
  redirect_uri: 'ONE_OF_YOUR_REDIRECT_URIs',
  response_type: 'code',
  scope: 'openid roles',
  loadUserInfo: true
});
/* Then sign-in like so: */
mgr.signinRedirect({useReplaceToNavigate:true});
```

However, a full example can be found [here](https://github.com/Unfurl-Connect/example-clients/blob/main/browser/oidc-client.html).&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unfurl-connect.com/guides/easy-integration/browser-only.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
